Subject: Re: 2.6.27 seems to break something with DSL (fwd)

From: Jarek Poplawski <[email-masked]>
Date: Sat, 18 Oct 2008 13:09:54 +0200

Olon wrote, On 10/17/2008 10:11 PM:

> Hi there,

Hi,

> 
> I can confirm this issue.
> I'm using a westell dsl modem, and going from 2.6.26.5 to .27.  I found that I 
> couldn't connect to most websites either.
> This modem is in passthrough mode and not nat.
> 
> Here is a dump of my attempt to connect to port 80 on gnu.org
> 
> tcpdump: listening on eth0, link-type EN10MB (Ethernet), capture size 96 bytes
> 14:14:27.213995 IP (tos 0x0, ttl  64, id 44805, offset 0, flags [DF], proto: 
> TCP (6), length: 52) 96.246.106.2.34127 > 199.232.41.10.80: F, cksum 0x6b68 
> (correct), 1665374024:1665374024(0) ack 1967527671 win 183 <nop,nop,timestamp 
> 2701875 3655675399>

Could you let us compare such logs for working vs. not working case?
Is this eth0 connected directly to modem with ethernet? 
Could you also try to set lower mtu (eg. 1400) on eth0 and maybe this:

echo 0 > /proc/sys/net/ipv4/tcp_window_scaling

Thanks,
Jarek P.